Tonyu.klass.define({
  fullName: 'user.FullScreen',
  shortName: 'FullScreen',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_FullScreen_main() {
        "use strict";
        var _this=this;
        
        _this.eventRequestFullScreen=(function anonymous_1338(e) {
          var resultFullScreen;
          
          resultFullScreen = _this._requestFullScreen(document.documentElement);
          
          setTimeout((function anonymous_1433() {
            var e;
            
            try {
              _this.lockOrientation("landscape");
              
            } catch (e) {
              
              
            }
          }),1);
          if (_this.canvas.removeEventListener) {
            _this.canvas.removeEventListener("click",_this.eventRequestFullScreen,false);
            _this.canvas.removeEventListener("touchend",_this.eventRequestFullScreen,false);
            _this.eventRequestFullScreenExists=false;
            
          } else {
            if (_this.canvas.detachEvent) {
              _this.canvas.detachEvent("onclick",_this.eventRequestFullScreen);
              _this.canvas.detachEvent("touchend",_this.eventRequestFullScreen);
              _this.eventRequestFullScreenExists=false;
              
            }
          }
        });
        _this.eventExitFullScreen=(function anonymous_2724(e) {
          
          _this._exitFullScreen();
          if (_this.canvas.removeEventListener) {
            _this.canvas.removeEventListener("click",_this.eventExitFullScreen,false);
            _this.canvas.removeEventListener("touchend",_this.eventExitFullScreen,false);
            _this.eventExitFullScreenExists=false;
            
          } else {
            if (_this.canvas.detachEvent) {
              _this.canvas.detachEvent("onclick",_this.eventExitFullScreen);
              _this.canvas.detachEvent("touchend",_this.eventExitFullScreen);
              _this.eventExitFullScreenExists=false;
              
            }
          }
        });
      },
      fiber$main :function _trc_FullScreen_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_FullScreen_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.eventRequestFullScreen=(function anonymous_1338(e) {
                var resultFullScreen;
                
                resultFullScreen = _this._requestFullScreen(document.documentElement);
                
                setTimeout((function anonymous_1433() {
                  var e;
                  
                  try {
                    _this.lockOrientation("landscape");
                    
                  } catch (e) {
                    
                    
                  }
                }),1);
                if (_this.canvas.removeEventListener) {
                  _this.canvas.removeEventListener("click",_this.eventRequestFullScreen,false);
                  _this.canvas.removeEventListener("touchend",_this.eventRequestFullScreen,false);
                  _this.eventRequestFullScreenExists=false;
                  
                } else {
                  if (_this.canvas.detachEvent) {
                    _this.canvas.detachEvent("onclick",_this.eventRequestFullScreen);
                    _this.canvas.detachEvent("touchend",_this.eventRequestFullScreen);
                    _this.eventRequestFullScreenExists=false;
                    
                  }
                }
              });
              _this.eventExitFullScreen=(function anonymous_2724(e) {
                
                _this._exitFullScreen();
                if (_this.canvas.removeEventListener) {
                  _this.canvas.removeEventListener("click",_this.eventExitFullScreen,false);
                  _this.canvas.removeEventListener("touchend",_this.eventExitFullScreen,false);
                  _this.eventExitFullScreenExists=false;
                  
                } else {
                  if (_this.canvas.detachEvent) {
                    _this.canvas.detachEvent("onclick",_this.eventExitFullScreen);
                    _this.canvas.detachEvent("touchend",_this.eventExitFullScreen);
                    _this.eventExitFullScreenExists=false;
                    
                  }
                }
              });
              _thread.exit(_this);return;
            }
          }
        });
      },
      _requestFullScreen :function _trc_FullScreen__requestFullScreen(elem) {
        "use strict";
        var _this=this;
        var result;
        
        
        if (elem.requestFullScreen) {
          result=elem.requestFullScreen();
          
        } else {
          if (elem.webkitRequestFullScreen) {
            result=elem.webkitRequestFullScreen();
            
          } else {
            if (elem.mozRequestFullScreen) {
              result=elem.mozRequestFullScreen();
              
            } else {
              if (elem.msRequestFullScreen) {
                result=elem.msRequestFullScreen();
                
              }
            }
          }
        }
        return result;
      },
      fiber$_requestFullScreen :function _trc_FullScreen_f__requestFullScreen(_thread,elem) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var result;
        
        
        if (elem.requestFullScreen) {
          result=elem.requestFullScreen();
          
        } else {
          if (elem.webkitRequestFullScreen) {
            result=elem.webkitRequestFullScreen();
            
          } else {
            if (elem.mozRequestFullScreen) {
              result=elem.mozRequestFullScreen();
              
            } else {
              if (elem.msRequestFullScreen) {
                result=elem.msRequestFullScreen();
                
              }
            }
          }
        }
        _thread.retVal=result;return;
        
        
        _thread.retVal=_this;return;
      },
      _exitFullScreen :function _trc_FullScreen__exitFullScreen() {
        "use strict";
        var _this=this;
        
        if (document.exitFullscreen) {
          document.exitFullscreen();
          
        } else {
          if (document.webkitExitFullscreen) {
            document.webkitExitFullscreen();
            
          } else {
            if (document.mozExitFullscreen) {
              document.mozExitFullscreen();
              
            } else {
              if (document.msExitFullscreen) {
                document.msExitFullscreen();
                
              }
            }
          }
        }
      },
      fiber$_exitFullScreen :function _trc_FullScreen_f__exitFullScreen(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (document.exitFullscreen) {
          document.exitFullscreen();
          
        } else {
          if (document.webkitExitFullscreen) {
            document.webkitExitFullscreen();
            
          } else {
            if (document.mozExitFullscreen) {
              document.mozExitFullscreen();
              
            } else {
              if (document.msExitFullscreen) {
                document.msExitFullscreen();
                
              }
            }
          }
        }
        
        _thread.retVal=_this;return;
      },
      lockOrientation :function _trc_FullScreen_lockOrientation(mode) {
        "use strict";
        var _this=this;
        
        if (screen.orientation.lock) {
          screen.orientation.lock(mode);
          
        } else {
          if (screen.lockOrientation) {
            screen.lockOrientation(mode);
            
          } else {
            if (screen.webkitLockOrientation) {
              screen.webkitLockOrientation(mode);
              
            } else {
              if (screen.mozLockOrientation) {
                screen.mozLockOrientation(mode);
                
              } else {
                if (screen.msLockOrientation) {
                  screen.msLockOrientation(mode);
                  
                }
              }
            }
          }
        }
      },
      fiber$lockOrientation :function _trc_FullScreen_f_lockOrientation(_thread,mode) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (screen.orientation.lock) {
          screen.orientation.lock(mode);
          
        } else {
          if (screen.lockOrientation) {
            screen.lockOrientation(mode);
            
          } else {
            if (screen.webkitLockOrientation) {
              screen.webkitLockOrientation(mode);
              
            } else {
              if (screen.mozLockOrientation) {
                screen.mozLockOrientation(mode);
                
              } else {
                if (screen.msLockOrientation) {
                  screen.msLockOrientation(mode);
                  
                }
              }
            }
          }
        }
        
        _thread.retVal=_this;return;
      },
      requestFullScreen :function _trc_FullScreen_requestFullScreen(callback) {
        "use strict";
        var _this=this;
        
        _this.canvas=document.getElementsByTagName("canvas")[0];
        if (! _this.eventRequestFullScreenExists) {
          if (_this.canvas.addEventListener) {
            _this.canvas.addEventListener("click",_this.eventRequestFullScreen,false);
            _this.canvas.addEventListener("touchend",_this.eventRequestFullScreen,false);
            _this.eventRequestFullScreenExists=true;
            
          } else {
            if (_this.canvas.attachEvent) {
              _this.canvas.attachEvent("onclick",_this.eventRequestFullScreen);
              _this.canvas.attachEvent("touchend",_this.eventRequestFullScreen);
              _this.eventRequestFullScreenExists=true;
              
            }
          }
          
        }
      },
      fiber$requestFullScreen :function _trc_FullScreen_f_requestFullScreen(_thread,callback) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.canvas=document.getElementsByTagName("canvas")[0];
        if (! _this.eventRequestFullScreenExists) {
          if (_this.canvas.addEventListener) {
            _this.canvas.addEventListener("click",_this.eventRequestFullScreen,false);
            _this.canvas.addEventListener("touchend",_this.eventRequestFullScreen,false);
            _this.eventRequestFullScreenExists=true;
            
          } else {
            if (_this.canvas.attachEvent) {
              _this.canvas.attachEvent("onclick",_this.eventRequestFullScreen);
              _this.canvas.attachEvent("touchend",_this.eventRequestFullScreen);
              _this.eventRequestFullScreenExists=true;
              
            }
          }
          
        }
        
        _thread.retVal=_this;return;
      },
      exitFullScreen :function _trc_FullScreen_exitFullScreen() {
        "use strict";
        var _this=this;
        
        _this.canvas=document.getElementsByTagName("canvas")[0];
        if (! _this.eventExitFullScreenExists) {
          if (_this.canvas.addEventListener) {
            _this.canvas.addEventListener("click",_this.eventExitFullScreen,false);
            _this.canvas.addEventListener("touchend",_this.eventExitFullScreen,false);
            _this.eventExitFullScreenExists=true;
            
          } else {
            if (_this.canvas.attachEvent) {
              _this.canvas.attachEvent("onclick",_this.eventExitFullScreen);
              _this.canvas.attachEvent("touchend",_this.eventExitFullScreen);
              _this.eventExitFullScreenExists=true;
              
            }
          }
          
        }
      },
      fiber$exitFullScreen :function _trc_FullScreen_f_exitFullScreen(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.canvas=document.getElementsByTagName("canvas")[0];
        if (! _this.eventExitFullScreenExists) {
          if (_this.canvas.addEventListener) {
            _this.canvas.addEventListener("click",_this.eventExitFullScreen,false);
            _this.canvas.addEventListener("touchend",_this.eventExitFullScreen,false);
            _this.eventExitFullScreenExists=true;
            
          } else {
            if (_this.canvas.attachEvent) {
              _this.canvas.attachEvent("onclick",_this.eventExitFullScreen);
              _this.canvas.attachEvent("touchend",_this.eventExitFullScreen);
              _this.eventExitFullScreenExists=true;
              
            }
          }
          
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"_requestFullScreen":{"nowait":false},"_exitFullScreen":{"nowait":false},"lockOrientation":{"nowait":false},"requestFullScreen":{"nowait":false},"exitFullScreen":{"nowait":false}},"fields":{"eventRequestFullScreen":{},"canvas":{},"eventRequestFullScreenExists":{},"eventExitFullScreen":{},"eventExitFullScreenExists":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$Screen.resize(1024,576);
        _this.loadPage(Tonyu.classes.user.PTitle);
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$Screen.resize(1024,576);
        
        _thread.enter(function _trc_Main_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$loadPage(_thread, Tonyu.classes.user.PTitle);
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.OBuki',
  shortName: 'OBuki',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_OBuki_main() {
        "use strict";
        var _this=this;
        var _it_26;
        
        _this.cnt=0;
        _this.dir=0;
        while (true) {
          Tonyu.checkLoop();
          if (_this.cnt>=20&&_this.mode>=1) {
            _it_26=Tonyu.iterator(_this.all(Tonyu.classes.user.OTeki),1);
            while(_it_26.next()) {
              _this.tt=_it_26[0];
              
              _this.t=_this.tt;
              
            }
            _this.tx=_this.t.x;
            _this.ty=_this.t.y;
            _this.tdir=_this.atanxy(_this.tx-_this.x,_this.ty-_this.y);
            _this.d=_this.angleDiff(_this.dir,_this.tdir);
            if (_this.d>0) {
              _this.dir-=2;
            } else {
              _this.dir+=2;
            }
            _this.rotation=_this.dir;
            _this.x+=_this.cos(_this.dir)*6;
            _this.y+=_this.sin(_this.dir)*6;
            
          } else {
            _this.x+=_this.vx;
            _this.y+=_this.vy;
            _this.dir=_this.rotation;
            
          }
          _this.cnt++;
          if (_this.screenOut(100)) {
            _this.die();
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_OBuki_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_26;
        
        _this.cnt=0;
        _this.dir=0;
        
        _thread.enter(function _trc_OBuki_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (_this.cnt>=20&&_this.mode>=1) {
                _it_26=Tonyu.iterator(_this.all(Tonyu.classes.user.OTeki),1);
                while(_it_26.next()) {
                  _this.tt=_it_26[0];
                  
                  _this.t=_this.tt;
                  
                }
                _this.tx=_this.t.x;
                _this.ty=_this.t.y;
                _this.tdir=_this.atanxy(_this.tx-_this.x,_this.ty-_this.y);
                _this.d=_this.angleDiff(_this.dir,_this.tdir);
                if (_this.d>0) {
                  _this.dir-=2;
                } else {
                  _this.dir+=2;
                }
                _this.rotation=_this.dir;
                _this.x+=_this.cos(_this.dir)*6;
                _this.y+=_this.sin(_this.dir)*6;
                
              } else {
                _this.x+=_this.vx;
                _this.y+=_this.vy;
                _this.dir=_this.rotation;
                
              }
              _this.cnt++;
              if (_this.screenOut(100)) {
                _this.die();
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"cnt":{},"dir":{},"mode":{},"tt":{},"t":{},"tx":{},"ty":{},"tdir":{},"d":{},"vx":{},"vy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.OFeedOutText',
  shortName: 'OFeedOutText',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_OFeedOutText_main() {
        "use strict";
        var _this=this;
        
        while (true) {
          Tonyu.checkLoop();
          _this.alpha-=2;
          if (_this.alpha<=0) {
            _this.die();
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_OFeedOutText_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_OFeedOutText_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.alpha-=2;
              if (_this.alpha<=0) {
                _this.die();
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.OHahen',
  shortName: 'OHahen',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_OHahen_main() {
        "use strict";
        var _this=this;
        
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          if (_this.screenOut(100)) {
            _this.die();
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_OHahen_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_OHahen_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x+=_this.vx;
              _this.y+=_this.vy;
              if (_this.screenOut(100)) {
                _this.die();
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"vx":{},"vy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.OMasu',
  shortName: 'OMasu',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_OMasu_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_masu+0;
        while (true) {
          Tonyu.checkLoop();
          _this.update();
          
        }
      },
      fiber$main :function _trc_OMasu_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_masu+0;
        
        _thread.enter(function _trc_OMasu_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.OPlayer',
  shortName: 'OPlayer',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_OPlayer_main() {
        "use strict";
        var _this=this;
        var _it_28;
        
        _this.o=Tonyu.globals.$masuAry[0];
        _this.no=Tonyu.globals.$masuAry[1];
        _this.x=Tonyu.globals.$masuAry[0].x;
        _this.y=Tonyu.globals.$masuAry[0].y;
        _this.masuPer=0;
        _this.moving=0;
        _this.susumuCnt=0;
        _this.turnEnd=0;
        _this.gameEnd=0;
        _this.ang=0;
        while (true) {
          Tonyu.checkLoop();
          if (Tonyu.globals.$mode==0) {
            if (_this.id==0&&(_this.getkey(17)==1||_this.touchHantei(1))) {
              _this.move();
              
            }
            if (_this.id==1&&(_this.getkey("v")==1||_this.touchHantei(2))) {
              _this.move();
              
            }
            if (_this.id==2&&(_this.getkey(188)==1||_this.touchHantei(3))) {
              _this.move();
              
            }
            if (_this.id==3&&(_this.getkey(16)==1||_this.touchHantei(4))) {
              _this.move();
              
            }
            if (_this.getkey(32)==1) {
              _this.move();
              
            }
            if (_this.gameEnd) {
              _this.move();
              
            }
            if (! _this.turnEnd) {
              if (_this.susumuCnt>=1) {
                _this.drawText(_this.x,_this.y-50,_this.susumuCnt,"#000",50);
              } else {
                _this.drawText(_this.x,_this.y-50,_this.rnd(6)+1,"#000",50);
              }
              
            }
            if (_this.moving) {
              _this.moveFunc();
            }
            _this.x=(_this.no.x*_this.masuPer+_this.o.x*(1-_this.masuPer))+16-_this.id%2*32;
            _this.y=(_this.no.y*_this.masuPer+_this.o.y*(1-_this.masuPer))+16-_this.trunc(_this.id/2)*32;
            if (_this.id>=Tonyu.globals.$PlayerNum) {
              _this.move();
              
            }
            
          } else {
            if (Tonyu.globals.$mode==1) {
              if (_this.id>=Tonyu.globals.$PlayerNum) {
                if (Tonyu.globals.$frameCount%11==1) {
                  _this.hassya();
                  
                }
                
              } else {
                if (_this.id==0&&(_this.getkey(17)%11==1||_this.touchHantei(1))) {
                  _this.hassya();
                  
                }
                if (_this.id==1&&(_this.getkey("v")%11==1||_this.touchHantei(2))) {
                  _this.hassya();
                  
                }
                if (_this.id==2&&(_this.getkey(188)%11==1||_this.touchHantei(3))) {
                  _this.hassya();
                  
                }
                if (_this.id==3&&(_this.getkey(16)%11==1||_this.touchHantei(4))) {
                  _this.hassya();
                  
                }
                if (_this.getkey(32)%11==1) {
                  _this.hassya();
                  
                }
                
              }
              _this.ang+=10;
              _this.drawDxSprite(_this.x+_this.cos(_this.ang)*32,_this.y+_this.sin(_this.ang)*32,Tonyu.globals.$pat_masu+2,0,0,_this.ang,255);
              _it_28=Tonyu.iterator(_this.all(Tonyu.classes.user.OHahen),1);
              while(_it_28.next()) {
                _this.e=_it_28[0];
                
                if (_this.crashTo(_this.e)) {
                  if (_this.id==0) {
                    Tonyu.globals.$Player1score+=1*Tonyu.globals.$Player1scoreB;
                    Tonyu.globals.$Player1scoreB*=4;
                    
                  }
                  if (_this.id==1) {
                    Tonyu.globals.$Player2score+=1*Tonyu.globals.$Player2scoreB;
                    Tonyu.globals.$Player2scoreB*=4;
                    
                  }
                  if (_this.id==2) {
                    Tonyu.globals.$Player3score+=1*Tonyu.globals.$Player3scoreB;
                    Tonyu.globals.$Player3scoreB*=4;
                    
                  }
                  if (_this.id==3) {
                    Tonyu.globals.$Player4score+=1*Tonyu.globals.$Player4scoreB;
                    Tonyu.globals.$Player4scoreB*=4;
                    
                  }
                  _this.e.die();
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_musya,{pan: (_this.x-Tonyu.globals.$screenWidth/2)/Tonyu.globals.$screenWidth});
                  
                }
                
              }
              
            }
          }
          if (_this.id==0) {
            _this.drawText(100+_this.id*220,50,Tonyu.globals.$Player1score,"#000",20);
          }
          if (_this.id==1) {
            _this.drawText(100+_this.id*220,50,Tonyu.globals.$Player2score,"#000",20);
          }
          if (_this.id==2) {
            _this.drawText(100+_this.id*220,50,Tonyu.globals.$Player3score,"#000",20);
          }
          if (_this.id==3) {
            _this.drawText(100+_this.id*220,50,Tonyu.globals.$Player4score,"#000",20);
          }
          _this.drawText(_this.x,_this.y+10,(_this.id+1)+"P"+(_this.id>=Tonyu.globals.$PlayerNum?"(Com)":""),"#000",26);
          _this.update();
          
        }
      },
      fiber$main :function _trc_OPlayer_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_28;
        
        _this.o=Tonyu.globals.$masuAry[0];
        _this.no=Tonyu.globals.$masuAry[1];
        _this.x=Tonyu.globals.$masuAry[0].x;
        _this.y=Tonyu.globals.$masuAry[0].y;
        _this.masuPer=0;
        _this.moving=0;
        _this.susumuCnt=0;
        _this.turnEnd=0;
        _this.gameEnd=0;
        _this.ang=0;
        
        _thread.enter(function _trc_OPlayer_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(Tonyu.globals.$mode==0)) { __pc=18    ; break; }
              if (!(_this.id==0&&(_this.getkey(17)==1||_this.touchHantei(1)))) { __pc=3     ; break; }
              _this.fiber$move(_thread);
              __pc=2;return;
            case 2:
              
            case 3     :
              
              if (!(_this.id==1&&(_this.getkey("v")==1||_this.touchHantei(2)))) { __pc=5     ; break; }
              _this.fiber$move(_thread);
              __pc=4;return;
            case 4:
              
            case 5     :
              
              if (!(_this.id==2&&(_this.getkey(188)==1||_this.touchHantei(3)))) { __pc=7     ; break; }
              _this.fiber$move(_thread);
              __pc=6;return;
            case 6:
              
            case 7     :
              
              if (!(_this.id==3&&(_this.getkey(16)==1||_this.touchHantei(4)))) { __pc=9     ; break; }
              _this.fiber$move(_thread);
              __pc=8;return;
            case 8:
              
            case 9     :
              
              if (!(_this.getkey(32)==1)) { __pc=11    ; break; }
              _this.fiber$move(_thread);
              __pc=10;return;
            case 10:
              
            case 11    :
              
              if (!(_this.gameEnd)) { __pc=13    ; break; }
              _this.fiber$move(_thread);
              __pc=12;return;
            case 12:
              
            case 13    :
              
              if (! _this.turnEnd) {
                if (_this.susumuCnt>=1) {
                  _this.drawText(_this.x,_this.y-50,_this.susumuCnt,"#000",50);
                } else {
                  _this.drawText(_this.x,_this.y-50,_this.rnd(6)+1,"#000",50);
                }
                
              }
              if (!(_this.moving)) { __pc=15    ; break; }
              _this.fiber$moveFunc(_thread);
              __pc=14;return;
            case 14:
              
            case 15    :
              
              _this.x=(_this.no.x*_this.masuPer+_this.o.x*(1-_this.masuPer))+16-_this.id%2*32;
              _this.y=(_this.no.y*_this.masuPer+_this.o.y*(1-_this.masuPer))+16-_this.trunc(_this.id/2)*32;
              if (!(_this.id>=Tonyu.globals.$PlayerNum)) { __pc=17    ; break; }
              _this.fiber$move(_thread);
              __pc=16;return;
            case 16:
              
            case 17    :
              
              __pc=34    ;break;
            case 18    :
              if (!(Tonyu.globals.$mode==1)) { __pc=33    ; break; }
              if (!(_this.id>=Tonyu.globals.$PlayerNum)) { __pc=21    ; break; }
              if (!(Tonyu.globals.$frameCount%11==1)) { __pc=20    ; break; }
              _this.fiber$hassya(_thread);
              __pc=19;return;
            case 19:
              
            case 20    :
              
              __pc=32    ;break;
            case 21    :
              if (!(_this.id==0&&(_this.getkey(17)%11==1||_this.touchHantei(1)))) { __pc=23    ; break; }
              _this.fiber$hassya(_thread);
              __pc=22;return;
            case 22:
              
            case 23    :
              
              if (!(_this.id==1&&(_this.getkey("v")%11==1||_this.touchHantei(2)))) { __pc=25    ; break; }
              _this.fiber$hassya(_thread);
              __pc=24;return;
            case 24:
              
            case 25    :
              
              if (!(_this.id==2&&(_this.getkey(188)%11==1||_this.touchHantei(3)))) { __pc=27    ; break; }
              _this.fiber$hassya(_thread);
              __pc=26;return;
            case 26:
              
            case 27    :
              
              if (!(_this.id==3&&(_this.getkey(16)%11==1||_this.touchHantei(4)))) { __pc=29    ; break; }
              _this.fiber$hassya(_thread);
              __pc=28;return;
            case 28:
              
            case 29    :
              
              if (!(_this.getkey(32)%11==1)) { __pc=31    ; break; }
              _this.fiber$hassya(_thread);
              __pc=30;return;
            case 30:
              
            case 31    :
              
            case 32    :
              
              _this.ang+=10;
              _this.drawDxSprite(_this.x+_this.cos(_this.ang)*32,_this.y+_this.sin(_this.ang)*32,Tonyu.globals.$pat_masu+2,0,0,_this.ang,255);
              _it_28=Tonyu.iterator(_this.all(Tonyu.classes.user.OHahen),1);
              while(_it_28.next()) {
                _this.e=_it_28[0];
                
                if (_this.crashTo(_this.e)) {
                  if (_this.id==0) {
                    Tonyu.globals.$Player1score+=1*Tonyu.globals.$Player1scoreB;
                    Tonyu.globals.$Player1scoreB*=4;
                    
                  }
                  if (_this.id==1) {
                    Tonyu.globals.$Player2score+=1*Tonyu.globals.$Player2scoreB;
                    Tonyu.globals.$Player2scoreB*=4;
                    
                  }
                  if (_this.id==2) {
                    Tonyu.globals.$Player3score+=1*Tonyu.globals.$Player3scoreB;
                    Tonyu.globals.$Player3scoreB*=4;
                    
                  }
                  if (_this.id==3) {
                    Tonyu.globals.$Player4score+=1*Tonyu.globals.$Player4scoreB;
                    Tonyu.globals.$Player4scoreB*=4;
                    
                  }
                  _this.e.die();
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_musya,{pan: (_this.x-Tonyu.globals.$screenWidth/2)/Tonyu.globals.$screenWidth});
                  
                }
                
              }
            case 33    :
              
            case 34    :
              
              if (_this.id==0) {
                _this.drawText(100+_this.id*220,50,Tonyu.globals.$Player1score,"#000",20);
              }
              if (_this.id==1) {
                _this.drawText(100+_this.id*220,50,Tonyu.globals.$Player2score,"#000",20);
              }
              if (_this.id==2) {
                _this.drawText(100+_this.id*220,50,Tonyu.globals.$Player3score,"#000",20);
              }
              if (_this.id==3) {
                _this.drawText(100+_this.id*220,50,Tonyu.globals.$Player4score,"#000",20);
              }
              _this.drawText(_this.x,_this.y+10,(_this.id+1)+"P"+(_this.id>=Tonyu.globals.$PlayerNum?"(Com)":""),"#000",26);
              _this.fiber$update(_thread);
              __pc=35;return;
            case 35:
              
              __pc=1;break;
            case 36    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      touchHantei :function _trc_OPlayer_touchHantei(a) {
        "use strict";
        var _this=this;
        var i;
        
        i = 0;
        for (; i<Tonyu.globals.$touches.length ; i++) {
          Tonyu.checkLoop();
          {
            _this.t=Tonyu.globals.$touches[i];
            if (_this.t.touched%11==1) {
              if (_this.t.x<=Tonyu.globals.$screenWidth/4*1) {
                if (a==1) {
                  return 1;
                }
                
              } else {
                if (_this.t.x<=Tonyu.globals.$screenWidth/4*2) {
                  if (a==2) {
                    return 1;
                  }
                  
                } else {
                  if (_this.t.x<=Tonyu.globals.$screenWidth/4*3) {
                    if (a==3) {
                      return 1;
                    }
                    
                  } else {
                    if (_this.t.x<=Tonyu.globals.$screenWidth/4*4) {
                      if (a==4) {
                        return 1;
                      }
                      
                    }
                  }
                }
              }
              
            }
          }
        }
        return 0;
      },
      fiber$touchHantei :function _trc_OPlayer_f_touchHantei(_thread,a) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var i;
        
        i = 0;
        for (; i<Tonyu.globals.$touches.length ; i++) {
          Tonyu.checkLoop();
          {
            _this.t=Tonyu.globals.$touches[i];
            if (_this.t.touched%11==1) {
              if (_this.t.x<=Tonyu.globals.$screenWidth/4*1) {
                if (a==1) {
                  _thread.retVal=1;return;
                  
                }
                
              } else {
                if (_this.t.x<=Tonyu.globals.$screenWidth/4*2) {
                  if (a==2) {
                    _thread.retVal=1;return;
                    
                  }
                  
                } else {
                  if (_this.t.x<=Tonyu.globals.$screenWidth/4*3) {
                    if (a==3) {
                      _thread.retVal=1;return;
                      
                    }
                    
                  } else {
                    if (_this.t.x<=Tonyu.globals.$screenWidth/4*4) {
                      if (a==4) {
                        _thread.retVal=1;return;
                        
                      }
                      
                    }
                  }
                }
              }
              
            }
          }
        }
        _thread.retVal=0;return;
        
        
        _thread.retVal=_this;return;
      },
      move :function _trc_OPlayer_move() {
        "use strict";
        var _this=this;
        
        if (_this.gameEnd) {
          _this.moving=0;
          _this.turnEnd=1;
          return _this;
          
        }
        if (_this.moving||_this.turnEnd) {
          return _this;
        }
        _this.susumuCnt=_this.rnd(6)+1;
        _this.moving=1;
      },
      fiber$move :function _trc_OPlayer_f_move(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (_this.gameEnd) {
          _this.moving=0;
          _this.turnEnd=1;
          _thread.retVal=_this;return;
          
          
        }
        if (_this.moving||_this.turnEnd) {
          _thread.retVal=_this;return;
          
        }
        _this.susumuCnt=_this.rnd(6)+1;
        _this.moving=1;
        
        _thread.retVal=_this;return;
      },
      hassya :function _trc_OPlayer_hassya() {
        "use strict";
        var _this=this;
        
        if (_this.masuIdx<=Tonyu.globals.$masuAry.length/2) {
          if (Tonyu.globals.$hassyaMode<=0) {
            Tonyu.globals.$hassyaMode=0;
          }
          
        } else {
          if (_this.masuIdx<Tonyu.globals.$masuAry.length-1) {
            if (Tonyu.globals.$hassyaMode<=1) {
              Tonyu.globals.$hassyaMode=1;
            }
            
          } else {
            if (Tonyu.globals.$hassyaMode<=2) {
              Tonyu.globals.$hassyaMode=2;
            }
            
          }
        }
        _this.i=0;for (; _this.i<(Tonyu.globals.$hassyaMode==2?10:1) ; _this.i++) {
          Tonyu.checkLoop();
          {
            new Tonyu.classes.user.OBuki({x: _this.x+_this.cos(_this.ang)*10,y: _this.y+_this.sin(_this.ang)*10,p: Tonyu.globals.$pat_masu+2,rotation: _this.ang,vx: _this.cos(_this.ang)*6,vy: _this.sin(_this.ang)*6,id: _this.id,mode: Tonyu.globals.$hassyaMode});
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_hu,{pan: (_this.x-Tonyu.globals.$screenWidth/2)/Tonyu.globals.$screenWidth});
            _this.update();
          }
        }
      },
      fiber$hassya :function _trc_OPlayer_f_hassya(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (_this.masuIdx<=Tonyu.globals.$masuAry.length/2) {
          if (Tonyu.globals.$hassyaMode<=0) {
            Tonyu.globals.$hassyaMode=0;
          }
          
        } else {
          if (_this.masuIdx<Tonyu.globals.$masuAry.length-1) {
            if (Tonyu.globals.$hassyaMode<=1) {
              Tonyu.globals.$hassyaMode=1;
            }
            
          } else {
            if (Tonyu.globals.$hassyaMode<=2) {
              Tonyu.globals.$hassyaMode=2;
            }
            
          }
        }
        
        _thread.enter(function _trc_OPlayer_ent_hassya(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.i=0;
            case 1:
              if (!(_this.i<(Tonyu.globals.$hassyaMode==2?10:1))) { __pc=4     ; break; }
              new Tonyu.classes.user.OBuki({x: _this.x+_this.cos(_this.ang)*10,y: _this.y+_this.sin(_this.ang)*10,p: Tonyu.globals.$pat_masu+2,rotation: _this.ang,vx: _this.cos(_this.ang)*6,vy: _this.sin(_this.ang)*6,id: _this.id,mode: Tonyu.globals.$hassyaMode});
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_hu,{pan: (_this.x-Tonyu.globals.$screenWidth/2)/Tonyu.globals.$screenWidth});
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
            case 3     :
              _this.i++;
              __pc=1;break;
            case 4     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      moveFunc :function _trc_OPlayer_moveFunc() {
        "use strict";
        var _this=this;
        
        _this.masuPer+=0.1;
        if (_this.masuPer>=1) {
          _this.masuIdx++;
          _this.masuPer=0;
          _this.susumuCnt--;
          if (_this.susumuCnt<=0) {
            _this.moving=0;
            _this.turnEnd=1;
            
          }
          if (_this.masuIdx+1>=Tonyu.globals.$masuAry.length) {
            _this.gameEnd=1;
          }
          if (_this.masuIdx<Tonyu.globals.$masuAry.length) {
            _this.o=Tonyu.globals.$masuAry[_this.masuIdx];
          }
          if (_this.masuIdx+1<Tonyu.globals.$masuAry.length) {
            _this.no=Tonyu.globals.$masuAry[_this.masuIdx+1];
          }
          
        }
        if (_this.id==0) {
          Tonyu.globals.$Player1masuIdx=_this.masuIdx;
        } else {
          if (_this.id==1) {
            Tonyu.globals.$Player2masuIdx=_this.masuIdx;
          } else {
            if (_this.id==2) {
              Tonyu.globals.$Player3masuIdx=_this.masuIdx;
            } else {
              if (_this.id==3) {
                Tonyu.globals.$Player4masuIdx=_this.masuIdx;
              }
            }
          }
        }
      },
      fiber$moveFunc :function _trc_OPlayer_f_moveFunc(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.masuPer+=0.1;
        if (_this.masuPer>=1) {
          _this.masuIdx++;
          _this.masuPer=0;
          _this.susumuCnt--;
          if (_this.susumuCnt<=0) {
            _this.moving=0;
            _this.turnEnd=1;
            
          }
          if (_this.masuIdx+1>=Tonyu.globals.$masuAry.length) {
            _this.gameEnd=1;
          }
          if (_this.masuIdx<Tonyu.globals.$masuAry.length) {
            _this.o=Tonyu.globals.$masuAry[_this.masuIdx];
          }
          if (_this.masuIdx+1<Tonyu.globals.$masuAry.length) {
            _this.no=Tonyu.globals.$masuAry[_this.masuIdx+1];
          }
          
        }
        if (_this.id==0) {
          Tonyu.globals.$Player1masuIdx=_this.masuIdx;
        } else {
          if (_this.id==1) {
            Tonyu.globals.$Player2masuIdx=_this.masuIdx;
          } else {
            if (_this.id==2) {
              Tonyu.globals.$Player3masuIdx=_this.masuIdx;
            } else {
              if (_this.id==3) {
                Tonyu.globals.$Player4masuIdx=_this.masuIdx;
              }
            }
          }
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"touchHantei":{"nowait":false},"move":{"nowait":false},"hassya":{"nowait":false},"moveFunc":{"nowait":false}},"fields":{"o":{},"no":{},"masuPer":{},"moving":{},"susumuCnt":{},"turnEnd":{},"gameEnd":{},"ang":{},"id":{},"e":{},"t":{},"masuIdx":{},"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.OTeki',
  shortName: 'OTeki',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_OTeki_main() {
        "use strict";
        var _this=this;
        var _it_31;
        
        while (true) {
          Tonyu.checkLoop();
          _this.y+=2;
          _it_31=Tonyu.iterator(_this.all(Tonyu.classes.user.OBuki),1);
          while(_it_31.next()) {
            _this.e=_it_31[0];
            
            if (_this.crashTo(_this.e)) {
              if (_this.e.id==0) {
                Tonyu.globals.$Player1score+=1*Tonyu.globals.$Player1scoreB;
                Tonyu.globals.$Player1scoreB*=2;
                
              }
              if (_this.e.id==1) {
                Tonyu.globals.$Player2score+=1*Tonyu.globals.$Player2scoreB;
                Tonyu.globals.$Player2scoreB*=2;
                
              }
              if (_this.e.id==2) {
                Tonyu.globals.$Player3score+=1*Tonyu.globals.$Player3scoreB;
                Tonyu.globals.$Player3scoreB*=2;
                
              }
              if (_this.e.id==3) {
                Tonyu.globals.$Player4score+=1*Tonyu.globals.$Player4scoreB;
                Tonyu.globals.$Player4scoreB*=2;
                
              }
              Tonyu.globals.$guttagiriCnt++;
              _this.e.die();
              new Tonyu.classes.user.OHahen({x: _this.x,y: _this.y,p: _this.p+1,rotation: _this.rnd(360),vx: (25-_this.rnd(25)*2)/5,vy: (25-_this.rnd(25)*2)/5,scaleX: _this.scaleX});
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_supan,{pan: (_this.x-Tonyu.globals.$screenWidth/2)/Tonyu.globals.$screenWidth});
              Tonyu.globals.$atatta=1;
              
            }
            
          }
          if (_this.screenOut(300)) {
            _this.die();
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_OTeki_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_31;
        
        
        _thread.enter(function _trc_OTeki_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.y+=2;
              _it_31=Tonyu.iterator(_this.all(Tonyu.classes.user.OBuki),1);
              while(_it_31.next()) {
                _this.e=_it_31[0];
                
                if (_this.crashTo(_this.e)) {
                  if (_this.e.id==0) {
                    Tonyu.globals.$Player1score+=1*Tonyu.globals.$Player1scoreB;
                    Tonyu.globals.$Player1scoreB*=2;
                    
                  }
                  if (_this.e.id==1) {
                    Tonyu.globals.$Player2score+=1*Tonyu.globals.$Player2scoreB;
                    Tonyu.globals.$Player2scoreB*=2;
                    
                  }
                  if (_this.e.id==2) {
                    Tonyu.globals.$Player3score+=1*Tonyu.globals.$Player3scoreB;
                    Tonyu.globals.$Player3scoreB*=2;
                    
                  }
                  if (_this.e.id==3) {
                    Tonyu.globals.$Player4score+=1*Tonyu.globals.$Player4scoreB;
                    Tonyu.globals.$Player4scoreB*=2;
                    
                  }
                  Tonyu.globals.$guttagiriCnt++;
                  _this.e.die();
                  new Tonyu.classes.user.OHahen({x: _this.x,y: _this.y,p: _this.p+1,rotation: _this.rnd(360),vx: (25-_this.rnd(25)*2)/5,vy: (25-_this.rnd(25)*2)/5,scaleX: _this.scaleX});
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_supan,{pan: (_this.x-Tonyu.globals.$screenWidth/2)/Tonyu.globals.$screenWidth});
                  Tonyu.globals.$atatta=1;
                  
                }
                
              }
              if (_this.screenOut(300)) {
                _this.die();
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"e":{}}}
});
Tonyu.klass.define({
  fullName: 'user.PBattle1',
  shortName: 'PBattle1',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_PBattle1_main() {
        "use strict";
        var _this=this;
        
        while (true) {
          Tonyu.checkLoop();
          _this.update();
          
        }
      },
      fiber$main :function _trc_PBattle1_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_PBattle1_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.PRando',
  shortName: 'PRando',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_PRando_main() {
        "use strict";
        var _this=this;
        var _it_33;
        var _it_34;
        
        Tonyu.globals.$Screen.setBGColor("rgba(255,255,255,0)");
        _this.backA=new Tonyu.classes.kernel.Actor({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,p: Tonyu.globals.$pat_rando,zOrder: 1000,alpha: 96});
        Tonyu.globals.$mode=0;
        Tonyu.globals.$battleCnt=0;
        Tonyu.globals.$oshimaiCnt=0;
        Tonyu.globals.$guzaiCnt=0;
        Tonyu.globals.$hassyaMode=0;
        Tonyu.globals.$hassyaModeOld=0;
        Tonyu.globals.$atattaCnt=0;
        _this.init();
        _this.textActor=new Tonyu.classes.kernel.Actor({x: Tonyu.globals.$screenWidth/2,y: 10,text: "P1：Ctrlキー　　P2：Vキー　　P3：,キー　　P4：Shiftキー",fillStyle: "#000",size: 30});
        while (true) {
          Tonyu.checkLoop();
          if (Tonyu.globals.$mode==0) {
            _this.allEnd=1;
            _it_33=Tonyu.iterator(_this.all(Tonyu.classes.user.OPlayer),1);
            while(_it_33.next()) {
              _this.o=_it_33[0];
              
              if (! _this.o.turnEnd) {
                _this.allEnd=0;
                break;
                
                
              }
              
            }
            if (_this.allEnd) {
              Tonyu.globals.$mode=1;
              
            }
            
          } else {
            if (Tonyu.globals.$mode==1) {
              Tonyu.globals.$score=Tonyu.globals.$Player1score+Tonyu.globals.$Player2score+Tonyu.globals.$Player3score+Tonyu.globals.$Player4score;
              if (Tonyu.globals.$hassyaMode!=Tonyu.globals.$hassyaModeOld) {
                new Tonyu.classes.user.OFeedOutText({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/4,text: "調理器具がレベルアップ！",size: 40,fillStyle: "#f33"});
                Tonyu.globals.$hassyaModeOld=Tonyu.globals.$hassyaMode;
                
              }
              if (Tonyu.globals.$battleCnt==0) {
                if (_this.susumeA) {
                  _this.susumeA.die();
                }
                new Tonyu.classes.user.OFeedOutText({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,text: "グザイが現れた！",size: 80,fillStyle: "#000"});
                if (Tonyu.globals.$guzaiCnt<6) {
                  _this.guzaiP=Tonyu.globals.$guzaiCnt*2;
                  Tonyu.globals.$guzaiCnt++;
                  
                } else {
                  _this.guzaiP=_this.rnd(6)*2;
                  
                }
                new Tonyu.classes.user.OTeki({x: Tonyu.globals.$screenWidth/2,y: - 200,p: Tonyu.globals.$pat_masu+3+_this.guzaiP,scaleX: 2});
                
              }
              Tonyu.globals.$battleCnt++;
              if (Tonyu.globals.$battleCnt>=60*8) {
                Tonyu.globals.$battleCnt=0;
                Tonyu.globals.$mode=0;
                _this.gameEndAll=1;
                _it_34=Tonyu.iterator(_this.all(Tonyu.classes.user.OPlayer),1);
                while(_it_34.next()) {
                  _this.o=_it_34[0];
                  
                  _this.o.turnEnd=0;
                  if (! _this.o.gameEnd) {
                    _this.gameEndAll=0;
                  }
                  
                }
                if (! _this.gameEndAll) {
                  _this.susumeA=new Tonyu.classes.user.OFeedOutText({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,text: "すすめ！",size: 80,fillStyle: "#000"});
                  
                } else {
                  new Tonyu.classes.user.OFeedOutText({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,text: "おしまい！",size: 80,fillStyle: "#000"});
                  Tonyu.globals.$mode=2;
                  
                }
                Tonyu.globals.$Player1scoreB=1;
                Tonyu.globals.$Player2scoreB=1;
                Tonyu.globals.$Player3scoreB=1;
                Tonyu.globals.$Player4scoreB=1;
                
              }
              
            } else {
              if (Tonyu.globals.$mode==2) {
                if (Tonyu.globals.$oshimaiCnt==120) {
                  Tonyu.globals.$score=Tonyu.globals.$Player1score+Tonyu.globals.$Player2score+Tonyu.globals.$Player3score+Tonyu.globals.$Player4score;
                  Tonyu.globals.$oshimaiText="具材を"+Tonyu.globals.$guttagiriCnt+"回ぶった切り、"+Tonyu.globals.$score+"点稼いだ ("+Tonyu.globals.$PlayerNum+"人プレイ)";
                  new Tonyu.classes.kernel.Actor({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/5,text: Tonyu.globals.$oshimaiText,size: 25,fillStyle: "#000"});
                  _this.b1=new Tonyu.classes.kernel.Button({left: 20+256*0,top: 300,width: 220*2,text: "もどる",fillStyle: "rgba(255,255,255,0.4)",key: "Space",onClick: Tonyu.bindFunc(_this,_this.buttonModoru)});
                  _this.b2=new Tonyu.classes.kernel.Button({left: 20+256*2,top: 300,width: 220*2,text: "つぶやく",fillStyle: "rgba(255,255,255,0.4)",key: "Enter",onClick: Tonyu.bindFunc(_this,_this.buttonTubuyaku)});
                  
                }
                Tonyu.globals.$oshimaiCnt++;
                
              }
            }
          }
          if (Tonyu.globals.$atatta) {
            Tonyu.globals.$atattaCnt=10;
            
          }
          if (Tonyu.globals.$atattaCnt>0) {
            Tonyu.globals.$atattaCnt--;
          }
          _this.backA.y=Tonyu.globals.$screenHeight/2+Tonyu.globals.$atattaCnt%2*(Tonyu.globals.$atattaCnt/2);
          Tonyu.globals.$atatta=0;
          _this.update();
          
        }
      },
      fiber$main :function _trc_PRando_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_33;
        var _it_34;
        
        Tonyu.globals.$Screen.setBGColor("rgba(255,255,255,0)");
        _this.backA=new Tonyu.classes.kernel.Actor({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,p: Tonyu.globals.$pat_rando,zOrder: 1000,alpha: 96});
        Tonyu.globals.$mode=0;
        Tonyu.globals.$battleCnt=0;
        Tonyu.globals.$oshimaiCnt=0;
        Tonyu.globals.$guzaiCnt=0;
        Tonyu.globals.$hassyaMode=0;
        Tonyu.globals.$hassyaModeOld=0;
        Tonyu.globals.$atattaCnt=0;
        
        _thread.enter(function _trc_PRando_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$init(_thread);
              __pc=1;return;
            case 1:
              
              _this.textActor=new Tonyu.classes.kernel.Actor({x: Tonyu.globals.$screenWidth/2,y: 10,text: "P1：Ctrlキー　　P2：Vキー　　P3：,キー　　P4：Shiftキー",fillStyle: "#000",size: 30});
            case 2:
              if (!(Tonyu.globals.$mode==0)) { __pc=3     ; break; }
              _this.allEnd=1;
              _it_33=Tonyu.iterator(_this.all(Tonyu.classes.user.OPlayer),1);
              while(_it_33.next()) {
                _this.o=_it_33[0];
                
                if (! _this.o.turnEnd) {
                  _this.allEnd=0;
                  break;
                  
                  
                }
                
              }
              if (_this.allEnd) {
                Tonyu.globals.$mode=1;
                
              }
              __pc=4     ;break;
            case 3     :
              if (Tonyu.globals.$mode==1) {
                Tonyu.globals.$score=Tonyu.globals.$Player1score+Tonyu.globals.$Player2score+Tonyu.globals.$Player3score+Tonyu.globals.$Player4score;
                if (Tonyu.globals.$hassyaMode!=Tonyu.globals.$hassyaModeOld) {
                  new Tonyu.classes.user.OFeedOutText({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/4,text: "調理器具がレベルアップ！",size: 40,fillStyle: "#f33"});
                  Tonyu.globals.$hassyaModeOld=Tonyu.globals.$hassyaMode;
                  
                }
                if (Tonyu.globals.$battleCnt==0) {
                  if (_this.susumeA) {
                    _this.susumeA.die();
                  }
                  new Tonyu.classes.user.OFeedOutText({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,text: "グザイが現れた！",size: 80,fillStyle: "#000"});
                  if (Tonyu.globals.$guzaiCnt<6) {
                    _this.guzaiP=Tonyu.globals.$guzaiCnt*2;
                    Tonyu.globals.$guzaiCnt++;
                    
                  } else {
                    _this.guzaiP=_this.rnd(6)*2;
                    
                  }
                  new Tonyu.classes.user.OTeki({x: Tonyu.globals.$screenWidth/2,y: - 200,p: Tonyu.globals.$pat_masu+3+_this.guzaiP,scaleX: 2});
                  
                }
                Tonyu.globals.$battleCnt++;
                if (Tonyu.globals.$battleCnt>=60*8) {
                  Tonyu.globals.$battleCnt=0;
                  Tonyu.globals.$mode=0;
                  _this.gameEndAll=1;
                  _it_34=Tonyu.iterator(_this.all(Tonyu.classes.user.OPlayer),1);
                  while(_it_34.next()) {
                    _this.o=_it_34[0];
                    
                    _this.o.turnEnd=0;
                    if (! _this.o.gameEnd) {
                      _this.gameEndAll=0;
                    }
                    
                  }
                  if (! _this.gameEndAll) {
                    _this.susumeA=new Tonyu.classes.user.OFeedOutText({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,text: "すすめ！",size: 80,fillStyle: "#000"});
                    
                  } else {
                    new Tonyu.classes.user.OFeedOutText({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,text: "おしまい！",size: 80,fillStyle: "#000"});
                    Tonyu.globals.$mode=2;
                    
                  }
                  Tonyu.globals.$Player1scoreB=1;
                  Tonyu.globals.$Player2scoreB=1;
                  Tonyu.globals.$Player3scoreB=1;
                  Tonyu.globals.$Player4scoreB=1;
                  
                }
                
              } else {
                if (Tonyu.globals.$mode==2) {
                  if (Tonyu.globals.$oshimaiCnt==120) {
                    Tonyu.globals.$score=Tonyu.globals.$Player1score+Tonyu.globals.$Player2score+Tonyu.globals.$Player3score+Tonyu.globals.$Player4score;
                    Tonyu.globals.$oshimaiText="具材を"+Tonyu.globals.$guttagiriCnt+"回ぶった切り、"+Tonyu.globals.$score+"点稼いだ ("+Tonyu.globals.$PlayerNum+"人プレイ)";
                    new Tonyu.classes.kernel.Actor({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/5,text: Tonyu.globals.$oshimaiText,size: 25,fillStyle: "#000"});
                    _this.b1=new Tonyu.classes.kernel.Button({left: 20+256*0,top: 300,width: 220*2,text: "もどる",fillStyle: "rgba(255,255,255,0.4)",key: "Space",onClick: Tonyu.bindFunc(_this,_this.buttonModoru)});
                    _this.b2=new Tonyu.classes.kernel.Button({left: 20+256*2,top: 300,width: 220*2,text: "つぶやく",fillStyle: "rgba(255,255,255,0.4)",key: "Enter",onClick: Tonyu.bindFunc(_this,_this.buttonTubuyaku)});
                    
                  }
                  Tonyu.globals.$oshimaiCnt++;
                  
                }
              }
            case 4     :
              
              if (Tonyu.globals.$atatta) {
                Tonyu.globals.$atattaCnt=10;
                
              }
              if (Tonyu.globals.$atattaCnt>0) {
                Tonyu.globals.$atattaCnt--;
              }
              _this.backA.y=Tonyu.globals.$screenHeight/2+Tonyu.globals.$atattaCnt%2*(Tonyu.globals.$atattaCnt/2);
              Tonyu.globals.$atatta=0;
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
              __pc=2;break;
            case 6     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      buttonModoru :function _trc_PRando_buttonModoru() {
        "use strict";
        var _this=this;
        
        _this.loadPage(Tonyu.classes.user.Main);
      },
      fiber$buttonModoru :function _trc_PRando_f_buttonModoru(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_PRando_ent_buttonModoru(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$loadPage(_thread, Tonyu.classes.user.Main);
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      buttonTubuyaku :function _trc_PRando_buttonTubuyaku() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$oshimaiText,"https://www.tonyu.jp/project/viewProject.cgi?mainkey=776&","tonyu2,ahoge",null,"twitterapi,twitter");
      },
      fiber$buttonTubuyaku :function _trc_PRando_f_buttonTubuyaku(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$oshimaiText,"https://www.tonyu.jp/project/viewProject.cgi?mainkey=776&","tonyu2,ahoge",null,"twitterapi,twitter");
        
        _thread.retVal=_this;return;
      },
      init :function _trc_PRando_init() {
        "use strict";
        var _this=this;
        var i;
        var oo;
        var _it_37;
        
        Tonyu.globals.$masuAry=[];
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 63,y: 496,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 149,y: 511,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 251,y: 525,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 360,y: 520,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 463,y: 509,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 593,y: 494,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 693,y: 495,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 802,y: 497,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 926,y: 492,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 965,y: 444,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 913,y: 410,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 823,y: 416,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 725,y: 427,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 626,y: 431,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 528,y: 433,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 426,y: 437,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 324,y: 439,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 228,y: 429,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 175,y: 401,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 195,y: 346,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 280,y: 354,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 350,y: 349,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 441,y: 355,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 539,y: 349,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 619,y: 343,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 683,y: 341,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 746,y: 322,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 819,y: 280,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 837,y: 229,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 767,y: 189,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 684,y: 222,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 615,y: 240,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 542,y: 263,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 481,y: 247,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 420,y: 249,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 335,y: 241,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 255,y: 218,zOrder: 500}));
        i = 0;
        
        _it_37=Tonyu.iterator(Tonyu.globals.$masuAry,1);
        while(_it_37.next()) {
          _this.o=_it_37[0];
          
          if (i>=1) {
            new Tonyu.classes.kernel.Actor({x: (_this.o.x+oo.x)/2,y: (_this.o.y+oo.y)/2,p: Tonyu.globals.$pat_masu+1,rotation: _this.atanxy(_this.o.x-oo.x,_this.o.y-oo.y),zOrder: 100});
            
          }
          oo=_this.o;
          i++;
          
        }
        Tonyu.globals.$Player1=new Tonyu.classes.user.OPlayer({x: 100,y: 500,p: 12,id: 0,masuIdx: Tonyu.globals.$Player1masuIdx});
        Tonyu.globals.$Player2=new Tonyu.classes.user.OPlayer({x: 200,y: 500,p: 13,id: 1,masuIdx: Tonyu.globals.$Player2masuIdx});
        Tonyu.globals.$Player3=new Tonyu.classes.user.OPlayer({x: 300,y: 500,p: 14,id: 2,masuIdx: Tonyu.globals.$Player3masuIdx});
        Tonyu.globals.$Player4=new Tonyu.classes.user.OPlayer({x: 400,y: 500,p: 15,id: 3,masuIdx: Tonyu.globals.$Player4masuIdx});
      },
      fiber$init :function _trc_PRando_f_init(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var i;
        var oo;
        var _it_37;
        
        Tonyu.globals.$masuAry=[];
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 63,y: 496,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 149,y: 511,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 251,y: 525,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 360,y: 520,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 463,y: 509,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 593,y: 494,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 693,y: 495,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 802,y: 497,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 926,y: 492,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 965,y: 444,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 913,y: 410,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 823,y: 416,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 725,y: 427,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 626,y: 431,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 528,y: 433,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 426,y: 437,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 324,y: 439,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 228,y: 429,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 175,y: 401,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 195,y: 346,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 280,y: 354,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 350,y: 349,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 441,y: 355,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 539,y: 349,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 619,y: 343,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 683,y: 341,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 746,y: 322,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 819,y: 280,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 837,y: 229,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 767,y: 189,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 684,y: 222,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 615,y: 240,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 542,y: 263,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 481,y: 247,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 420,y: 249,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 335,y: 241,zOrder: 500}));
        Tonyu.globals.$masuAry.push(new Tonyu.classes.user.OMasu({x: 255,y: 218,zOrder: 500}));
        i = 0;
        
        _it_37=Tonyu.iterator(Tonyu.globals.$masuAry,1);
        while(_it_37.next()) {
          _this.o=_it_37[0];
          
          if (i>=1) {
            new Tonyu.classes.kernel.Actor({x: (_this.o.x+oo.x)/2,y: (_this.o.y+oo.y)/2,p: Tonyu.globals.$pat_masu+1,rotation: _this.atanxy(_this.o.x-oo.x,_this.o.y-oo.y),zOrder: 100});
            
          }
          oo=_this.o;
          i++;
          
        }
        Tonyu.globals.$Player1=new Tonyu.classes.user.OPlayer({x: 100,y: 500,p: 12,id: 0,masuIdx: Tonyu.globals.$Player1masuIdx});
        Tonyu.globals.$Player2=new Tonyu.classes.user.OPlayer({x: 200,y: 500,p: 13,id: 1,masuIdx: Tonyu.globals.$Player2masuIdx});
        Tonyu.globals.$Player3=new Tonyu.classes.user.OPlayer({x: 300,y: 500,p: 14,id: 2,masuIdx: Tonyu.globals.$Player3masuIdx});
        Tonyu.globals.$Player4=new Tonyu.classes.user.OPlayer({x: 400,y: 500,p: 15,id: 3,masuIdx: Tonyu.globals.$Player4masuIdx});
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"buttonModoru":{"nowait":false},"buttonTubuyaku":{"nowait":false},"init":{"nowait":false}},"fields":{"backA":{},"textActor":{},"allEnd":{},"o":{},"susumeA":{},"guzaiP":{},"gameEndAll":{},"b1":{},"b2":{}}}
});
Tonyu.klass.define({
  fullName: 'user.PTitle',
  shortName: 'PTitle',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_PTitle_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$Screen.setBGColor("#fff");
        Tonyu.globals.$Player1masuIdx=0;
        Tonyu.globals.$Player2masuIdx=0;
        Tonyu.globals.$Player3masuIdx=0;
        Tonyu.globals.$Player4masuIdx=0;
        Tonyu.globals.$Player1score=0;
        Tonyu.globals.$Player2score=0;
        Tonyu.globals.$Player3score=0;
        Tonyu.globals.$Player4score=0;
        Tonyu.globals.$Player1scoreB=1;
        Tonyu.globals.$Player2scoreB=1;
        Tonyu.globals.$Player3scoreB=1;
        Tonyu.globals.$Player4scoreB=1;
        Tonyu.globals.$guttagiriCnt=0;
        _this.b1=new Tonyu.classes.kernel.Button({left: 20+256*0,top: 300,width: 220,text: "１人プレイ",fillStyle: "rgba(0,0,0,0.2)",key: "1"});
        _this.b2=new Tonyu.classes.kernel.Button({left: 20+256*1,top: 300,width: 220,text: "２人プレイ",fillStyle: "rgba(0,0,0,0.2)",key: "2"});
        _this.b3=new Tonyu.classes.kernel.Button({left: 20+256*2,top: 300,width: 220,text: "３人プレイ",fillStyle: "rgba(0,0,0,0.2)",key: "3"});
        _this.b4=new Tonyu.classes.kernel.Button({left: 20+256*3,top: 300,width: 220,text: "４人プレイ",fillStyle: "rgba(0,0,0,0.2)",key: "4"});
        _this.bf=new Tonyu.classes.kernel.Button({left: 20+256*3,top: 520,width: 220,height: 40,text: "フルスクリーン",fillStyle: "rgba(0,0,0,0.2)",key: "f"});
        _this.b0=new Tonyu.classes.kernel.Button({left: 20+256*0,top: 500,width: 220,text: "観　戦",fillStyle: "rgba(0,0,0,0.2)",key: "0"});
        Tonyu.globals.$PlayerNum=- 1;
        _this.tempPlayerNum=1;
        _this.a=new Tonyu.classes.kernel.Actor({x: 0,y: 250,p: Tonyu.globals.$pat_masu+1,rotation: 90,scaleX: 2});
        if (! Tonyu.globals.$FullScreenManager) {
          Tonyu.globals.$FullScreenManager=new Tonyu.classes.user.FullScreen;
          
        }
        _this.isFullSc=0;
        _this.updateEx(10);
        while (true) {
          Tonyu.checkLoop();
          if (_this.getkey(37)%6==1) {
            _this.tempPlayerNum--;
            
          }
          if (_this.getkey(39)%6==1) {
            _this.tempPlayerNum++;
            
          }
          if (_this.tempPlayerNum<0) {
            _this.tempPlayerNum=4;
          }
          if (_this.tempPlayerNum>4) {
            _this.tempPlayerNum=0;
          }
          _this.a.x=_this.tempPlayerNum==0?20+128:20+128+256*(_this.tempPlayerNum-1);
          _this.a.y=_this.tempPlayerNum==0?450:250;
          if (_this.getkey(32)==1||_this.getkey(16)==1||_this.getkey(17)==1||_this.getkey("v")==1||_this.getkey(188)==1||_this.getkey(13)==1) {
            Tonyu.globals.$PlayerNum=_this.tempPlayerNum;
            
          }
          if (_this.b0.clicked==1) {
            Tonyu.globals.$PlayerNum=0;
            
          }
          if (_this.b1.clicked==1) {
            Tonyu.globals.$PlayerNum=1;
            
          }
          if (_this.b2.clicked==1) {
            Tonyu.globals.$PlayerNum=2;
            
          }
          if (_this.b3.clicked==1) {
            Tonyu.globals.$PlayerNum=3;
            
          }
          if (_this.b4.clicked==1) {
            Tonyu.globals.$PlayerNum=4;
            
          }
          if (_this.bf.clicked==1) {
            if (! _this.isFullSc) {
              Tonyu.globals.$FullScreenManager.requestFullScreen();
              _this.isFullSc=1;
              _this.bf.text="フルスク解除";
              
            } else {
              Tonyu.globals.$FullScreenManager.exitFullScreen();
              _this.isFullSc=0;
              _this.bf.text="フルスクリーン";
              
            }
            
          }
          if (Tonyu.globals.$PlayerNum>=0) {
            _this.updateEx(5);
            _this.loadPage(Tonyu.classes.user.PRando);
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_PTitle_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$Screen.setBGColor("#fff");
        Tonyu.globals.$Player1masuIdx=0;
        Tonyu.globals.$Player2masuIdx=0;
        Tonyu.globals.$Player3masuIdx=0;
        Tonyu.globals.$Player4masuIdx=0;
        Tonyu.globals.$Player1score=0;
        Tonyu.globals.$Player2score=0;
        Tonyu.globals.$Player3score=0;
        Tonyu.globals.$Player4score=0;
        Tonyu.globals.$Player1scoreB=1;
        Tonyu.globals.$Player2scoreB=1;
        Tonyu.globals.$Player3scoreB=1;
        Tonyu.globals.$Player4scoreB=1;
        Tonyu.globals.$guttagiriCnt=0;
        _this.b1=new Tonyu.classes.kernel.Button({left: 20+256*0,top: 300,width: 220,text: "１人プレイ",fillStyle: "rgba(0,0,0,0.2)",key: "1"});
        _this.b2=new Tonyu.classes.kernel.Button({left: 20+256*1,top: 300,width: 220,text: "２人プレイ",fillStyle: "rgba(0,0,0,0.2)",key: "2"});
        _this.b3=new Tonyu.classes.kernel.Button({left: 20+256*2,top: 300,width: 220,text: "３人プレイ",fillStyle: "rgba(0,0,0,0.2)",key: "3"});
        _this.b4=new Tonyu.classes.kernel.Button({left: 20+256*3,top: 300,width: 220,text: "４人プレイ",fillStyle: "rgba(0,0,0,0.2)",key: "4"});
        _this.bf=new Tonyu.classes.kernel.Button({left: 20+256*3,top: 520,width: 220,height: 40,text: "フルスクリーン",fillStyle: "rgba(0,0,0,0.2)",key: "f"});
        _this.b0=new Tonyu.classes.kernel.Button({left: 20+256*0,top: 500,width: 220,text: "観　戦",fillStyle: "rgba(0,0,0,0.2)",key: "0"});
        Tonyu.globals.$PlayerNum=- 1;
        _this.tempPlayerNum=1;
        _this.a=new Tonyu.classes.kernel.Actor({x: 0,y: 250,p: Tonyu.globals.$pat_masu+1,rotation: 90,scaleX: 2});
        if (! Tonyu.globals.$FullScreenManager) {
          Tonyu.globals.$FullScreenManager=new Tonyu.classes.user.FullScreen;
          
        }
        _this.isFullSc=0;
        
        _thread.enter(function _trc_PTitle_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$updateEx(_thread, 10);
              __pc=1;return;
            case 1:
              
            case 2:
              if (_this.getkey(37)%6==1) {
                _this.tempPlayerNum--;
                
              }
              if (_this.getkey(39)%6==1) {
                _this.tempPlayerNum++;
                
              }
              if (_this.tempPlayerNum<0) {
                _this.tempPlayerNum=4;
              }
              if (_this.tempPlayerNum>4) {
                _this.tempPlayerNum=0;
              }
              _this.a.x=_this.tempPlayerNum==0?20+128:20+128+256*(_this.tempPlayerNum-1);
              _this.a.y=_this.tempPlayerNum==0?450:250;
              if (_this.getkey(32)==1||_this.getkey(16)==1||_this.getkey(17)==1||_this.getkey("v")==1||_this.getkey(188)==1||_this.getkey(13)==1) {
                Tonyu.globals.$PlayerNum=_this.tempPlayerNum;
                
              }
              if (_this.b0.clicked==1) {
                Tonyu.globals.$PlayerNum=0;
                
              }
              if (_this.b1.clicked==1) {
                Tonyu.globals.$PlayerNum=1;
                
              }
              if (_this.b2.clicked==1) {
                Tonyu.globals.$PlayerNum=2;
                
              }
              if (_this.b3.clicked==1) {
                Tonyu.globals.$PlayerNum=3;
                
              }
              if (_this.b4.clicked==1) {
                Tonyu.globals.$PlayerNum=4;
                
              }
              if (_this.bf.clicked==1) {
                if (! _this.isFullSc) {
                  Tonyu.globals.$FullScreenManager.requestFullScreen();
                  _this.isFullSc=1;
                  _this.bf.text="フルスク解除";
                  
                } else {
                  Tonyu.globals.$FullScreenManager.exitFullScreen();
                  _this.isFullSc=0;
                  _this.bf.text="フルスクリーン";
                  
                }
                
              }
              if (!(Tonyu.globals.$PlayerNum>=0)) { __pc=5     ; break; }
              _this.fiber$updateEx(_thread, 5);
              __pc=3;return;
            case 3:
              
              _this.fiber$loadPage(_thread, Tonyu.classes.user.PRando);
              __pc=4;return;
            case 4:
              
            case 5     :
              
              _this.fiber$update(_thread);
              __pc=6;return;
            case 6:
              
              __pc=2;break;
            case 7     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"b1":{},"b2":{},"b3":{},"b4":{},"bf":{},"b0":{},"tempPlayerNum":{},"a":{},"isFullSc":{}}}
});

//# sourceMappingURL=concat.js.map